<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="vm"
            type="com.rdiot.yx485.ui.bind.model.BindViewModel" />

        <import type="android.view.View" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.core.widget.NestedScrollView
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:visibility="@{vm.bindSub||vm.bindInfrared?View.GONE:View.VISIBLE}"
            app:layout_constraintBottom_toTopOf="@id/btn_next"
            app:layout_constraintTop_toTopOf="parent">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center"
                android:orientation="vertical">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingHorizontal="50dp"
                    android:paddingTop="25dp"
                    android:text="@string/reset_tips_1" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="250dp"
                    android:layout_height="250dp"
                    app:srcCompat="@mipmap/img_reset_1" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingHorizontal="50dp"
                    android:paddingTop="25dp"
                    android:text="@string/reset_tips_2" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="250dp"
                    android:layout_height="250dp"
                    app:srcCompat="@mipmap/img_reset_2" />

            </LinearLayout>

        </androidx.core.widget.NestedScrollView>

        <androidx.core.widget.NestedScrollView
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:visibility="@{vm.bindSub?View.VISIBLE:View.GONE}"
            app:layout_constraintBottom_toTopOf="@id/btn_next"
            app:layout_constraintTop_toTopOf="parent"
            tools:visibility="gone">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center"
                android:orientation="vertical"
                android:visibility="@{vm.bindSub?View.VISIBLE:View.GONE}">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingHorizontal="50dp"
                    android:paddingTop="25dp"
                    android:text="@string/sub_reset_tips_1" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="250dp"
                    android:layout_height="250dp"
                    app:srcCompat="@mipmap/img_sub_reset_1" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingHorizontal="50dp"
                    android:paddingTop="25dp"
                    android:text="@string/sub_reset_tips_2" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="250dp"
                    android:layout_height="250dp"
                    app:srcCompat="@mipmap/img_sub_reset_2" />

            </LinearLayout>


        </androidx.core.widget.NestedScrollView>

        <androidx.core.widget.NestedScrollView
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:visibility="@{vm.isBindInfrared?View.VISIBLE:View.GONE}"
            app:layout_constraintBottom_toTopOf="@id/btn_next"
            app:layout_constraintTop_toTopOf="parent"
            tools:visibility="gone">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center"
                android:orientation="vertical"
                android:visibility="@{vm.isBindInfrared?View.VISIBLE:View.GONE}">

<!--                <TextView-->
<!--                    android:layout_width="match_parent"-->
<!--                    android:layout_height="wrap_content"-->
<!--                    android:paddingHorizontal="50dp"-->
<!--                    android:paddingTop="25dp"-->
<!--                    android:text="@string/reset_tips_3" />-->

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="250dp"
                    android:layout_height="250dp"
                    app:srcCompat="@mipmap/img_infrared_reset" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingHorizontal="50dp"
                    android:paddingTop="15dp"
                    android:text="@string/reset_tips_3" />

<!--                <androidx.appcompat.widget.AppCompatImageView-->
<!--                    android:layout_width="250dp"-->
<!--                    android:layout_height="250dp"-->
<!--                    app:srcCompat="@mipmap/img_sub_reset_2" />-->

            </LinearLayout>


        </androidx.core.widget.NestedScrollView>

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/btn_next"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="30dp"
            android:layout_marginTop="55dp"
            android:layout_marginEnd="30dp"
            android:layout_marginBottom="55dp"
            android:background="@drawable/bg_login_btn"
            android:outlineProvider="none"
            android:text="@string/next_step"
            android:textColor="@color/white"
            android:textSize="16sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>